Summary: Very fast network log-on cracker
Name: hydra
Version: 7.2
Release: 1%{?dist}
License: GPLv3 with exceptions
Source0: http://freeworld.thc.org/releases/%{name}-%{version}-src.tar.gz
Source1: xhydra.desktop

URL: http://www.thc.org/thc-hydra/
BuildRequires: openssl-devel, apr-devel, ncpfs-devel, libssh-devel, libidn-devel
BuildRequires: subversion-devel, postgresql-devel, pcre-devel, gtk2-devel
BuildRequires: desktop-file-utils

## mysql support is broken
## BuildRequires: mysql-devel 

%description
Hydra is a parallelized log-in cracker which supports numerous protocols to 
attack. New modules are easy to add, beside that, it is flexible and very fast.

This tool gives researchers and security consultants the possibility to show 
how easy it would be to gain unauthorized access from remote to a system.

Currently this tool supports: TELNET, FTP, HTTP, HTTPS, HTTP-PROXY, LDAP, SMB,
SMBNT, MS-SQL, MySQL, REXEC, SOCKS5, VNC, POP3, IMAP, NNTP, PCNFS, ICQ, 
Cisco auth, Cisco enable, Cisco AAA (incorporated in telnet module). 

%package frontend
Summary: The GTK+ front end for hydra
Requires: hydra = %{version}-%{release}
BuildRequires: gtk2-devel, pkgconfig
%description frontend
This package includes xhydra, a GTK+ front end for hydra. The hydra package must
be installed before installing the hydra front end.

%prep
%setup -q -n hydra-%{version}-src

%build
export CFLAGS="%{optflags}" BINDIR=%{_bindir}
%configure  
make %{?_smp_mflags}

%install
## hydra does not support make DESTDIR
mkdir -p %{buildroot}%{_bindir}/
install -m 755 {hydra,pw-inspector,xhydra} %{buildroot}%{_bindir}/
mkdir -p  %{buildroot}%{_mandir}/man1/
install -m 644 {hydra.1,pw-inspector.1,xhydra.1} %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
install -m 644 xhydra.png %{buildroot}%{_datadir}/pixmaps/
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	--add-category X-Red-Hat-Base \
	%{SOURCE1};


%files
%doc CHANGES LICENSE README
%{_bindir}/hydra
%{_bindir}/pw-inspector
%{_mandir}/man1/hydra*
%{_mandir}/man1/pw-inspector*

%files frontend
%{_bindir}/xhydra
%{_mandir}/man1/xhydra*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Sat Feb 11 2012 Athmane Madoudj <athmane@fedoraproject.org> 7.2-1
- Update to 7.2

* Tue Dec 27 2011 Athmane Madjoudj <athmane@fedoraproject.org> 7.1-3
- Remove rm -rf buildroot

* Thu Dec 22 2011 Athmane Madjoudj <athmane@fedoraproject.org> 7.1-2
- Update license to GPLv3 with OpenSSL exception

* Thu Dec 22 2011 Athmane Madjoudj <athmane@fedoraproject.org> 7.1-1
- Update to recent version
- Clean-up the spec file
- Add desktop file for the frontend

* Sun Jul 04 2010 Marcus Haebler <haebler@gmail.com> - 0:5.7-0
- Initial RPM build 
